#!/bin/bash

GLITE_LOCATION=${GLITE_LOCATION:-/opt/glite}
XSLT=$(dirname $0)/config-service-to-service-discovery.xsl

(echo "<index>" 

if [ -r "$GLITE_LOCATION/etc/services.xml" ]; then
    echo "<sd>$GLITE_LOCATION/etc/services.xml</sd>"
fi

for config in $(ls $GLITE_LOCATION/etc/glite-io-client*.properties.xml 2>/dev/null); do
    name=$(basename $config .properties.xml)
    echo "<io><file>$config</file><name>$name</name></io>"
done

echo "</index>") | xsltproc --output $GLITE_LOCATION/etc/services.xml.new $XSLT -

